Subject: [Ice] "waiting-for-candidates" state in trickle-ice

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 30 Nov 2015 19:04:31 -0700

Hi all,

I've started to work on fixes to draft-ietf-ice-trickle for the open 
issues and the IETF 94 discussion items.

One such item was the addition of a "waiting-for-candidates" state to 
handle the situation when a checklist is empty and no candidate pairs 
have been sent or received.

Looking again at RFC 5245 and draft-ietf-ice-rfc5245bis, I'd say that in 
ICE core the concept of state applies to a candidate pair, not to a 
checklist. Therefore I suggest that we not attempt to define this new 
state for checklists in trickle-ice. However, I think it would be 
appropriate to add a few words about this situation (without formally 
calling it a state).

Peter